KGPG(1)

NAME
kgpg - a TDE frontend for GNU Privacy Guard (GnuPG)

SYNOPSIS
kgpg [Qt-options] [TDE-options] [options] file

DESCRIPTION
This manual page documents briefly the Kgpg TDE Application. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

Kgpg is a simple graphical interface for gpg (http://gnupg.org). Basically, It allows you to encrypt and decrypt files or messages, and to manage your keys.

Kgpg can be used in different ways:

1 - Open Kgpg. You will see an editor. Just type or paste your text in the editor. You can then easily encrypt/decrypt the text.

2 - On your Desktop or from a Konqueror window, right click on a file and you will see an encrypt file entry in the menu. just select it to encrypt the file. In the same way, simply left click on an encrypted file to decrypt it.

3 - If you enable Kgpg's Klipper action, as soon as you copy an encrypted text to the clipboard, a popup menu will ask you if you want to decrypt it.

OPTIONS

-e  encrypt file

-s  show encrypted file

-S  sign file

-V  verify signature

  Arguments:

file
    file to open

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-tde
    Show TDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options

--display displayname
    Use the X-server display displayname.

--session sessionId
    Restore the application for the given sessionId.

--cmap
    Causes the application to install a private color map on an 8-bit display.

--ncols count
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification.

--nograb
    tells Qt to never grab the mouse or the keyboard.

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override.

--sync
    switches to synchronous mode for debugging.

--fn, --font fontname
    defines the application font.

--bg, --background color
    sets the default background color and an application palette (light and dark shades are calculated).

--fg, --foreground color
    sets the default foreground color.

--btn,--button color
    sets the default button color.

--name name
    sets the application name.

--title title
    sets the application title (caption).

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display.

--inputstyle inputstyle
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespotandroot.

--im XIM-server
    set XIM server.

--noxim
    disable XIM.

--reverse
    mirrors the whole layout of widgets.

  TDE options

--caption caption
    Use caption as name in the titlebar.

--icon icon
    Use icon as the application icon.

--miniicon icon
    Use icon as the icon in the titlebar.

--config filename
    Use alternative configuration file.

--dcopserver server
    Use the DCOP Server specified by server.

--nocrashhandler
    Disable crash handler, to get core dumps.

--waitforwm
    Waits for a WM_NET compatible windowmanager.

--style style
    sets the application GUI style.

--geometry geometry
    sets the client geometry of the main widget.

AUTHOR
kgpg was written by y0k0 <bj@altern.org>,
This manual page was prepared by Karolina Lindqvist <pgd-karolinali@algonet.se> for the Debian GNU/Linux system (but may be used by others).

SEE ALSO
The full documentation for Kgpg is maintained as a docbook manual. If the khelpcenter program is properly installed at your site, the command

    khelpcenter help:/kgpg

should give you access to the complete manual.

Alternatively the manual can be browsed in konqueror giving it the URL help:/kgpg